#
# Copyright Michael Orlitzky
#
# http://michael.orlitzky.com/
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# http://www.fsf.org/licensing/licenses/gpl.html
#

require 'test/unit'
require 'src/websites/infoq'

# Unit tests for the Infoq class. Basically just checking
# the results of parse_video_url for now.

class InfoqTest < Test::Unit::TestCase

  def test_owns_infoq_urls
    assert(Infoq.owns_url?('http://www.infoq.com/interviews/jim-weirich-discusses-rake'))
  end

  
  def test_parse_video_url
    iq = Infoq.new(nil)
    
    page_data = nil
    
    File.open('test/fixtures/infoq/jim-weirich-discusses-rake.html') do |f|
      page_data = f.read
    end
    
    test_result = iq.send('parse_video_url', page_data)
    assert_equal('http://flv.thruhere.net/interviews/JimWeirich.flv', test_result)
  end

end
